<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <artifactId>omop-spark-standardize</artifactId>
  <version>1.0.4-SNAPSHOT</version>
  <packaging>jar</packaging>
  <url>https://framagit.org/interchu/omop-spark/tree/master/omop-spark-standardize</url>
  <name>OMOP Spark Standardize</name>
  <description/>
  <parent>
    <groupId>io.frama.parisni</groupId>
    <artifactId>omop-spark</artifactId>
    <version>1.0.4-SNAPSHOT</version>
    <relativePath>../pom.xml</relativePath>
  </parent>
  <properties>
    <license.dir>${project.basedir}/..</license.dir>
  </properties>
  <dependencies>
    <dependency>
      <groupId>io.frama.parisni</groupId>
      <artifactId>spark-dataframe</artifactId>
    </dependency>
    <dependency>
      <groupId>io.frama.parisni</groupId>
      <artifactId>spark-csv</artifactId>
    </dependency>
    <dependency>
      <groupId>net.jcazevedo</groupId>
      <artifactId>moultingyaml_${scala.tools.version}</artifactId>
    </dependency>
    <dependency>
      <groupId>com.amazon.deequ</groupId>
      <artifactId>deequ</artifactId>
    </dependency>
  </dependencies>
  <build>
    <sourceDirectory>${project.basedir}/src/main/scala</sourceDirectory>
    <testSourceDirectory>${project.basedir}/src/test/scala</testSourceDirectory>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.scalatest</groupId>
        <artifactId>scalatest-maven-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-shade-plugin</artifactId>
      </plugin>
      <plugin>
        <groupId>net.alchim31.maven</groupId>
        <artifactId>scala-maven-plugin</artifactId>
      </plugin>
    </plugins>
  </build>
</project>
